class Dog:
	"""A simple attempt to model a dog."""

	def __init__(self, name, age):
		"""Initialize name and age attributes."""
		self.name = name
		self.age = age

	def sit(self):
		"""Simulate a dog sitting on command"""
		print(f"{self.name} is now sitting.")

	def roll_over(self, n=1):
		"""Simulate a dog rolling over n times"""
		if n==1:
			plural_marker = ""
		else:
			plural_marker = "s"
		print(f"{self.name} rolled over {n} time{plural_marker}.")

	def increase_age(self):
		"""Increase the age by one"""
		print(f"Happy birthday, {self.name}!")
		self.age += 1

class RacingDog(Dog):

	def __init__(self, name, age):
		"""Initialize attributes of parent class."""
		super().__init__(name, age)
		self.max_speed = 80

	def increase_speed(self, value):
		"""Increase the dog's speed by value"""
		self.max_speed += value

	def roll_over(self, n=1):
		"""Simulate a dog rolling over n times"""
		print(f"{self.name} is not allowed to roll over.")


